#ifndef DISPTHREAD_H
#define DISPTHREAD_H

#include <QThread>
#include <QImage>

#include "TeliCamApi.h"


class DispThread : public QThread
{
    Q_OBJECT
public:
    explicit DispThread(QObject *parent = 0);

signals:
    void DispFps(int camNo, double fps);
    void DispImage(int camNo, QImage pimage);

public slots:

protected:
    virtual void run();


public:
    bool		m_bTerminate;					// Terminate request flag for image updating thread.

private:
    QObject* pParent;

};

#endif // DISPTHREAD_H
