#!/bin/sh

cd `dirname $0`
TELICAMSDK=/opt/TeliCamSDK
export TELICAMSDK

QTDIR=$TELICAMSDK/lib/QT
export QTDIR

QT_PLUGIN_PATH=$QTDIR/plugins/
export QT_PLUGIN_PATH

if [ -z `env | grep $TELICAMSDK/lib:$TELICAMSDK/genicam/bin/` ] ; then

    if [ -z $LD_LIBRARY_PATH ] ; then
	export LD_LIBRARY_PATH=$TELICAMSDK/lib:$TELICAMSDK/genicam/bin/Linux32_i86:$QTDIR:$QT_PLUGIN_PATH/platforms
    else
	export LD_LIBRARY_PATH=$TELICAMSDK/lib:$TELICAMSDK/genicam/bin/Linux32_i86:$QTDIR:$QT_PLUGIN_PATH/platforms:$LD_LIBRARY_PATH
    fi
else
    echo "already defined."
fi


./TeliCamLinuxViewer

